Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt.util
Class MultiLineLabel

    java.lang.Object
      charva.awt.Component
          charva.awt.util.MultiLineLabel

public class MultiLineLabel
extends Component

Implements a label that displays multiple lines of text.

Field Summary
`static int` | `CENTER`
`static int` | `LEFT`
`static int` | `RIGHT`

Fields inherited from class charva.awt.Component
`_alignmentX, _alignmentY, _background, _cursesColor, _enabled, _focusListeners, _foreground, _keyListeners, _origin, _parent, _visible, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`MultiLineLabel(java.lang.String[] textarray_)`

Method Summary
`void` | `debug(int level_)`
`void` | `draw()` To be implemented by concrete subclasses.
`int` | `getHeight()`
`Dimension` | `getSize()` This may be wrong, but it'll do for now.
`java.lang.String[]` | `getText()`
`int` | `getWidth()`
`boolean` | `isFocusTraversable()` This component will not receive focus when Tab or Shift-Tab is pressed.
`Dimension` | `minimumSize()`
`void` | `processKeyEvent(KeyEvent ke_)` The MultiLineLabel class ignores key events.
`void` | `requestFocus()` The MultiLineLabel component never gets the keyboard input focus.
`void` | `setText(java.lang.String[] textarray_)`

Methods inherited from class charva.awt.Component
`addFocusListener, addKeyListener, contains, contains, getAlignmentX, getAlignmentY, getAncestorWindow, getBackground, getBounds, getCursesColor, getForeground, getLocation, getLocationOnScreen, getName, getParent, hasFocus, hide, invalidate, isDisplayed, isEnabled, isTotallyObscured, isValid, isVisible, processEvent, processFocusEvent, processMouseEvent, repaint, requestSync, setBackground, setBounds, setBounds, setBounds, setEnabled, setForeground, setLocation, setLocation, setName, setParent, setVisible, show, validate, validateCursesColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

### CENTER

    public static final int CENTER

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

Constructor Detail

### MultiLineLabel

    public MultiLineLabel(java.lang.String[] textarray_)

Method Detail

### minimumSize

    public Dimension minimumSize()

  Specified by:
    `minimumSize` in class `Component`

### draw

    public void draw()

  Description copied from class: `Component`
  To be implemented by concrete subclasses.

  Specified by:
    `draw` in class `Component`

### getSize

    public Dimension getSize()

  This may be wrong, but it'll do for now.

  Specified by:
    `getSize` in class `Component`

### getWidth

    public int getWidth()

  Specified by:
    `getWidth` in class `Component`

### getHeight

    public int getHeight()

  Specified by:
    `getHeight` in class `Component`

### setText

    public void setText(java.lang.String[] textarray_)

### getText

    public java.lang.String[] getText()

### isFocusTraversable

    public boolean isFocusTraversable()

  This component will not receive focus when Tab or Shift-Tab is pressed.

  Overrides:
    `isFocusTraversable` in class `Component`

### processKeyEvent

    public void processKeyEvent(KeyEvent ke_)

  The MultiLineLabel class ignores key events. A MultiLineLabel should never have input focus anyway.

  Overrides:
    `processKeyEvent` in class `Component`

### requestFocus

    public void requestFocus()

  The MultiLineLabel component never gets the keyboard input focus.

  Overrides:
    `requestFocus` in class `Component`

### debug

    public void debug(int level_)

  Specified by:
    `debug` in class `Component`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD